package function

import (
	"encoding/json"
	"gitlab.smartblocklab.com/smartcontracts/common/model/transactionCC"
	"testing"
	"github.com/stretchr/testify/assert"
)

func TestCheckExistsTransactionByList(t *testing.T) {
	var syncRequest transactionCC.SyncRequest
	data := "{\"external_transaction_info_list\":[{\"operation_id\":\"aecf585d-2482-47ea-89f6-6f340285a571.extxid_cc8eca4b-1106-4b0e-be2b-fc88bc7d4f7f\",\"external_transaction_id\":\"extxid_cc8eca4b-1106-4b0e-be2b-fc88bc7d4f7f\"}]}"
	err := json.Unmarshal([]byte(data), &syncRequest)
	assert.NoError(t, err)
	assert.NotNil(t, syncRequest)
}
