package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/common/model/transactionCC"
)

func ClearLedger(_ *requests.Parameter, _ *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	transactionRecord := transactionCC.TransactionRecord{}
	countTransactionRecord, err := chaincode.ClearLedger(transactionRecord.GetObjectType(), manager)
	if err != nil {
		return nil, err
	}

	clearLedgerResult := &chaincode.ClearLedgerResult{
		Count: countTransactionRecord,
	}
	return clearLedgerResult, nil
}
