package function

import (
	"gitlab.smartblocklab.com/smartcontracts/transactionCC/mngr"
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/common/model/transactionCC"
)

func DepositFunds(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	invokeChaincode, err := transactionCC.Unmarshal_InvokeChaincode(systemParameter.Param)
	if err != nil {
		return nil, err
	}
	return mngr.GetTransactionManager(manager).DepositFunds(systemParameter.UserID, invokeChaincode)
}
