package function

import (
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"

	"gitlab.smartblocklab.com/smartcontracts/transactionCC/mngr"
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
)

func GetTransactions(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	userID, err := requests.Unmarshal(systemParameter.Param)
	if err != nil {
		return nil, err
	}

	return mngr.GetTransactionManager(manager).GetTransactions(userID)
}
