package function

import (
	"gitlab.smartblocklab.com/smartcontracts/transactionCC/mngr"
	"gitlab.smartblocklab.com/smartcontracts/common/model/requests"
	"gitlab.smartblocklab.com/smartcontracts/common/chaincode"
	"gitlab.smartblocklab.com/smartcontracts/common/model/transactionCC"
)

func TransferFunds(userParameter *requests.Parameter, systemParameter *requests.Parameter, manager chaincode.IManager) (interface{}, error) {
	transfer, err := transactionCC.Unmarshal_Transfer(systemParameter.Param)
	if err != nil {
		return nil, err
	}

	return mngr.GetTransactionManager(manager).TransferFunds(transfer)
}
